:root {
  --co-orange: #e26626;
  --co-black: #050404;
  --co-white: #fcf7f0;
  --co-link-color: var(--co-orange);
  --co-link-hover-color: #f17f3d;
  --co-header-bg-color: var(--co-black);
  --co-header-text-color: #fff;
  --co-header-text-highlight-color: var(--co-orange); }

html,
body {
  margin: 0;
  padding: 0;
  background-color: var(--co-black);
  color: var(--co-white); }
  html.page,
  body.page {
    margin: 0; }

a,
a:active,
a:visited,
a:focus {
  color: var(--co-link-color); }

a:hover {
  color: var(--co-link-hover-color); }

.floating-button {
  position: fixed;
  bottom: -100px;
  right: 16px;
  transition: bottom .25s;
  z-index: 20; }
  .floating-button.show {
    bottom: 16px;
    transition: bottom .25s; }
  .floating-button .whatsapp-icon {
    width: 48px;
    transition: width .5s; }
  .floating-button a:hover .whatsapp-icon {
    width: 60px;
    transition: width .5s; }

.site-contact {
  display: flex;
  justify-content: right;
  margin: 1rem 1rem 0; }
  .site-contact .btn-whatsapp {
    text-decoration: none;
    border-radius: 10px;
    background-color: #fff;
    color: #25D366;
    padding: 0px 12px;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: .5rem;
    transition: background-color,color .25s; }
    .site-contact .btn-whatsapp i {
      font-size: 24px; }
    .site-contact .btn-whatsapp:hover {
      background-color: #25D366;
      color: #fff;
      transition: background-color,color .25s; }

/******************************************
HEADER
/******************************************/
.site-header {
  height: 6rem;
  padding: 0 1rem;
  background-color: var(--co-header-bg-color);
  color: var(--co-header-text-color);
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: relative; }
  .site-header .site-branding .site-title {
    color: var(--co-header-text-highlight-color); }
  .site-header .site-branding .site-description {
    color: var(--co-header-text-color); }
  .site-header .site-branding .custom-logo {
    width: 160px; }
  .site-header .main-navigation {
    display: flex;
    flex-direction: row;
    width: unset; }
    .site-header .main-navigation .toggle-wrapper {
      display: flex;
      justify-content: right; }
    .site-header .main-navigation .menu-toggle {
      width: 42px;
      height: 42px;
      border-radius: 4px;
      border: solid 1px var(--co-orange);
      background-color: var(--co-black);
      color: var(--co-orange);
      font-size: 20px;
      /* text-align: center; */
      align-items: center;
      justify-content: center; }
    .site-header .main-navigation .menu {
      align-items: center;
      height: 0px;
      /*display: none;*/
      opacity: 0;
      transition: height,opacity .5s; }
    .site-header .main-navigation .nav-menu {
      /*display: flex;
                flex-direction: row;*/
      gap: 1rem;
      flex-wrap: wrap;
      justify-content: flex-end;
      /*margin-left: 3rem;*/ }
      .site-header .main-navigation .nav-menu li {
        padding: .25rem .5rem;
        transition: background-color .25s;
        text-transform: uppercase;
        font-weight: bold; }
        .site-header .main-navigation .nav-menu li a {
          color: var(--co-white); }
          .site-header .main-navigation .nav-menu li a:hover {
            color: var(--co-link-hover-color); }
        .site-header .main-navigation .nav-menu li.current_page_item a {
          color: var(--co-orange); }
        .site-header .main-navigation .nav-menu li:hover {
          background-image: radial-gradient();
          background-color: #21130d;
          transition: background-color .25s; }
  .site-header .main-navigation.toggled {
    background-color: var(--co-black);
    position: absolute;
    right: 0;
    top: 11px;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    gap: 1rem;
    z-index: 20; }
    .site-header .main-navigation.toggled .menu-toggle {
      align-self: self-end; }
    .site-header .main-navigation.toggled .menu {
      padding: 1rem;
      display: flex;
      height: 300px;
      opacity: 1;
      transition: height,opacity .5s; }

@media screen and (min-width: 45em) {
  .site-header {
    height: 8rem;
    padding: 0 3rem; }
    .site-header .site-branding .custom-logo {
      width: 200px; }
    .site-header .main-navigation .menu-toggle {
      width: 56px;
      height: 56px;
      font-size: 30px; }
    .site-header .main-navigation .menu {
      display: flex;
      opacity: 1;
      height: unset; } }

.site-main {
  font-weight: 300;
  letter-spacing: -0.1px;
  line-height: 1.4;
  font-size: 22px;
  display: flex;
  justify-content: center; }
  .site-main .page {
    padding: 1rem; }

@media screen and (min-width: 45em) {
  .site-main .page {
    max-width: 800px; } }

/******************************************
FOOTER
/******************************************/
.site-footer {
  background-color: var(--co-black);
  color: var(--co-white);
  min-height: 6rem;
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 2rem; }
  .site-footer .section-title {
    color: var(--co-orange);
    text-transform: uppercase;
    font-weight: bold; }
  .site-footer .section-content p {
    margin: 6px; }
  .site-footer .cerka-schedule i {
    color: var(--co-link-hover-color); }
  .site-footer a.social {
    text-decoration: none;
    font-size: 32px; }
    .site-footer a.social:active, .site-footer a.social:focus {
      color: var(--co-link-hover-color); }

@media screen and (min-width: 960px) {
  .site-footer {
    max-width: 960px;
    margin: auto; } }

.mapouter {
  margin: auto; }

/******************************************
ESTILOS GENERICOS
/******************************************/
.orange-text {
  color: var(--co-orange); }

.white-text {
  color: var(--co-white); }

/******************************************
BACKGROUNDS
/******************************************/
.site-main {
  position: relative; }
  .site-main > .body-background {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 0; }
  .site-main > article {
    z-index: 10; }

.orange-box {
  background-color: var(--co-orange);
  color: var(--co-black);
  padding: 10px;
  font-weight: bold;
  border-radius: 6px;
  opacity: .75; }

.orange-border {
  border: solid 1px var(--co-orange);
  border-radius: 10px;
  color: var(--co-orange);
  padding: 10px;
  font-weight: bolder; }

.video-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  object-fit: cover; }

/******************************************
CARNICERIA
/******************************************/
body.carniceria .body-background {
  background-image: url(./img/photos/bg-carniceria.jpg);
  filter: blur(2px);
  width: 100%;
  height: 800px;
  z-index: 0;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: top right;
  opacity: .25; }

/* CARNICERIA */
/******************************************
PANADERIA
/******************************************/
body.panaderia .body-background {
  background-color: var(--co-black);
  opacity: .65;
  width: 100%;
  height: 100%; }

body.panaderia .video-background {
  position: absolute;
  top: 0;
  left: 0;
  /*filter: blur(3px);*/
  width: 100%;
  height: 100%;
  overflow: hidden;
  object-fit: cover; }

body.panaderia article strong {
  font-weight: bold; }

body.panaderia .floating-button {
  z-index: 20; }

/* PANADERIA */
/******************************************
PASTELERIA
/******************************************/
body.pasteleria .body-background {
  background-image: url(./img/photos/bg-pasteleria.jpeg);
  filter: blur(1px);
  width: 100%;
  height: 800px;
  z-index: 0;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: bottom center;
  opacity: .25;
  top: unset;
  bottom: -280px;
  left: -200px; }

/* PASTELERIA */
/******************************************
CHARCUTERIA
/******************************************/
body.charcuteria .body-background {
  background-color: var(--co-black);
  opacity: .65;
  width: 100%;
  height: 100%; }

/* CHARCUTERIA */
/******************************************
FRUTAS Y VERDURAS
/******************************************/
body.frutasyverduras .body-background {
  background-color: var(--co-black);
  opacity: .75;
  width: 100%;
  height: 100%; }

/* FRUTAS Y VERDURAS */
/******************************************
VINOS Y LICORES
/******************************************/
body.vinosylicores {
  /* prueba con imagen de fondo en lugar de video */
  /*.body-background {
        background-image: url(./img/photos/bg-vinosylicores.png);
        filter: blur(2px);
        width: 100%;
        height: 100%;
        z-index: 0;
        background-size: auto;
        background-repeat: no-repeat;
        background-position: right center;
        opacity: .35;
    }*/ }
  body.vinosylicores .body-background {
    background-color: var(--co-black);
    opacity: .65;
    width: 100%;
    height: 100%; }
  body.vinosylicores .video-background {
    position: absolute;
    top: 0;
    left: 0;
    filter: blur(2px);
    width: 100%;
    height: 100%;
    overflow: hidden;
    object-fit: cover; }

/* VINOS Y LICORES */
/******************************************
EMPRESA
/******************************************/
body.empresa .body-background {
  background-color: var(--co-black);
  opacity: .5;
  width: 100%;
  height: 100%; }

body.empresa .video-background {
  position: absolute;
  top: 0;
  left: 0;
  filter: blur(1px);
  width: 100%;
  height: 100%;
  overflow: hidden;
  object-fit: cover; }

/* EMPRESA */
/******************************************
ALIMENTACION
/******************************************/
body.alimentacion .body-background {
  background-image: url(./img/photos/bg-alimentacion.jpeg);
  filter: blur(2px);
  width: 100%;
  height: 100%;
  z-index: 0;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  opacity: .15; }

/* ALIMENTACION */
/******************************************
ENVIOS ONLINE
/******************************************/
body.envios {
  /*.body-background {
        background-image: url(./img/photos/bg-envios.jpg);
        filter: blur(2px);
        width: 100%;
        height: 100%;
        z-index: 0;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        opacity: .15;
    }*/ }
  body.envios .body-background {
    background-color: var(--co-black);
    opacity: .75;
    width: 100%;
    height: 100%; }
  body.envios .video-background {
    position: absolute;
    top: 0;
    left: 0;
    filter: blur(1px);
    width: 100%;
    height: 100%;
    overflow: hidden;
    object-fit: cover; }

/* ENVIOS ONLINE */
